org.apache.ignite.internal

## Class GridPerformanceSuggestions

- java.lang.Object
- - org.apache.ignite.internal.GridPerformanceSuggestions

    public class GridPerformanceSuggestions
    extends Object

Grid performance suggestions.

### Constructor Summary

Constructors
Constructor and Description
`GridPerformanceSuggestions()`

### Method Summary

Methods
`void` `add(String sug)`
`void` `add(String sug, boolean suppress)`
`void` `logSuggestions(IgniteLogger log, String gridName)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridPerformanceSuggestions

    public GridPerformanceSuggestions()

### Method Detail

#### add

    public void add(String sug)

Parameters:
  `sug` - Suggestion to add.

#### add

    public void add(String sug,
           boolean suppress)

Parameters:
  `sug` - Suggestion to add.
  `suppress` - `True` to suppress this suggestion.

#### logSuggestions

    public void logSuggestions(IgniteLogger log,
                      @Nullable
                      String gridName)

Parameters:
  `log` - Log.
  `gridName` - Grid name.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015